Bug 832703 - [abrt] FlightGear-2.6.0-2.fc17: ScopedLock: Process /usr/bin/fgfs was killed by signal 11 (SIGSEGV)
[abrt] FlightGear-2.6.0-2.fc17: ScopedLock: Process /usr/bin/fgfs was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: FlightGear (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabrice Bellet
Fedora Extras Quality Assurance
abrt_hash:fc772935d8a76e3d1fd78797ffc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 13:14 EDT by Robert Kief
Modified: 2013-07-31 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.27 KB, text/plain)
2012-06-16 13:14 EDT, Robert Kief
no flags Details
File: maps (26.41 KB, text/plain)
2012-06-16 13:14 EDT, Robert Kief
no flags Details
File: dso_list (5.21 KB, text/plain)
2012-06-16 13:14 EDT, Robert Kief
no flags Details

  None (edit)
Description Robert Kief 2012-06-16 13:14:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        fgfs --aircraft=sopwithCamel
comment:        I tried to load "sopwith camel" from the command line, but Flightgear only displayed it's Sopwith Camel splashscreen.  It then failed to open further.  I had prviously loaded and run "f-18" normally from the command line.
crash_function: ScopedLock
executable:     /usr/bin/fgfs
kernel:         3.4.0-1.fc17.x86_64
pid:            20479
pwd:            /home/rk00253
time:           Sat 16 Jun 2012 11:45:26 AM CDT
uid:            1000
xsession_errors: 

backtrace:      Text file, 24849 bytes
dso_list:       Text file, 5331 bytes
maps:           Text file, 27045 bytes

build_ids:
:fc13956ed359736e6a145d384f112723fd62f20d
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:0bd6eed1b68cf00da73d90f5f6c136a6b62e9e9f
:f32773251f12dc97ea26648594d9013916fbba40
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:b34676a7754197b3aa0ab7fba51844207d644e8d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:dced259c0f8d6f4489d847e0ffab1a411571d048
:8eb9ff4fc3f6ac2ead87f4e9c8a683c5044c6ffd
:02af6dcffe505f060de45c2f67221af6534dcde7
:a0125e88a5f4cad69c6283e63a4acb17c9281c42
:e91010b497ec024178c36f4365b21f668bada0ca
:815b74bfd9d008d0b324a5160c43df8c621ab39e
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:74b99ac2f6de61ace787e2a8b2ffe9bab19d3648
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:7a0dc2d76732224ecfcc921b1039327577bd4615
:d09bd61b96617e61a051f8bb044200286da4ed8d
:127f8958b602715234a02b88adb08afd9e34c203
:877685c5afa0faf0e43ad65f21587f699edcc04d
:3b04b8ac398f9c1ace017d01486b3ce240acd923
:fd4369fae708f3733b66e5f0bba18681069330f4
:7c35310fc506498c612d5d982ab03becc4b4817c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:c32d0b5a2aae9fdcd5d3ad88a6982f3c1d4603c4
:516204cfc31148538d56b21e2f1b945ed50127d4
:c4ec0971b2dcee71aaf8374975474054245fea00
:73777e822e00ca152ffca281ab0ace0cb498ec48
:67792c148d2b8f13f6732c9367e926c26d7376c5
:6f0b253a7975528efdb8e366cbf5a31d573c781e
:915e1b6a9e9b38aaf13a1d647d11751c3de5301b
:404cbecd24d186758ed474b345313da28b2990fa
:a19fc9fc8919d3b8ee952f2a1c2bd4c9ef3736a3
:55a49d63722ed6a206350d42a14f9466e3eedb15
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8139bf56878106b2e87b44b235b5813a0894898a
:f7be5afcd5dfe9fd2b38f2ad96bf7de7347186da
:247132297f287226a24c12e683292f5c94013066
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:c664b1169393aa00125f597bbe0d92d2f84c1324
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:6416c64fde1d567429c32475ee874558589d305a
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:3b5d4afcafb57da61715761b59863b33e08ece8a
:04642afaf9f27fd17fdc1ef465daa8e7146cbe92
:4b044fe80e4c1b69986abc4b160c303048005d4e
:8932a8497ced77c1964335e66b2af82b85997f18
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:3aa8c8418a094c6b359df198f909bc3a65411b6b
:822e9b3523e8312240f41a25722d539bc77ed436
:693fde74f87eb068da67d74205280827743224ac
:1d4df97fa6024b097b634a272447243c95c26d85
:130699b76d99d57ef46beeed9d693005f3c8917f
:f64b7319b84d426ed547084bdb2577f4f596c18f
:db0c8539454d1ac5191e1d909d21a7a80cae8bb0
:9d4e5b3f8f09e1fefc36a48c68dacc06276be529
:c92aaa2bfd80a2276a98acacab363ca57da2eb81

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/rk00253/9

core_backtrace:
:fd4369fae708f3733b66e5f0bba18681069330f4 0x22f0b4 osg::Texture::TextureObjectSet::orphan(osg::Texture::TextureObject*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x232551 osg::Texture::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x20b015 osg::StateSet::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x143268 osg::Drawable::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x15af73 osg::Geometry::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x154f60 osg::Geode::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x18b6e0 osg::Group::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x18b6e0 osg::Group::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x18b6e0 osg::Group::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x18b6e0 osg::Group::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x18b6e0 osg::Group::releaseGLObjects(osg::State*) libosg.so.80 -
:fd4369fae708f3733b66e5f0bba18681069330f4 0x186c7d osg::GraphicsContext::close(bool) libosg.so.80 -
:a19fc9fc8919d3b8ee952f2a1c2bd4c9ef3736a3 0x8a895 osgViewer::Viewer::~Viewer() libosgViewer.so.80 -
:a19fc9fc8919d3b8ee952f2a1c2bd4c9ef3736a3 0x8aa39 osgViewer::Viewer::~Viewer() libosgViewer.so.80 -
:db0c8539454d1ac5191e1d909d21a7a80cae8bb0 0x149a8f osg::Referenced::unref() [exe] -
:db0c8539454d1ac5191e1d909d21a7a80cae8bb0 0x14b582 flightgear::CameraGroup::~CameraGroup() [exe] -
:db0c8539454d1ac5191e1d909d21a7a80cae8bb0 0x14b5d9 flightgear::CameraGroup::~CameraGroup() [exe] -
:db0c8539454d1ac5191e1d909d21a7a80cae8bb0 0x142a5c _start [exe] -

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=18511
:XDG_SESSION_ID=9
:HOSTNAME=homenet06.homenet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/rk00253/.gnupg/S.gpg-agent:18560:1
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:WINDOWID=67108868
:GNOME_KEYRING_CONTROL=/run/user/rk00253/keyring-QupQGr
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=IBus
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=rk00253
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-gWmUfHl18427/agent.18427
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/18569,unix/unix:/tmp/.ICE-unix/18569
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/rk00253/.local/bin:/home/rk00253/bin
:MAIL=/var/spool/mail/rk00253
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=ibus
:PWD=/home/rk00253
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=18423
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/rk00253
:XDG_SEAT=seat0
:SHLVL=3
:LOGNAME=rk00253
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9XjdfAJsH6,guid=6c7285163361444595a88c50000036d2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/rk00253
:DISPLAY=:0.0
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:COLORTERM=Terminal
:XAUTHORITY=/var/run/gdm/auth-for-rk00253-xEHskg/database
:_=/usr/bin/fgfs

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63717                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63717                63717                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:1:/dev/pts/0
:2:/dev/pts/0
:3:socket:[4663481]
:4:/dev/dri/card0
:5:socket:[4663486]

smolt_data:
:
:
:General
:=================================
:UUID: 07f119ba-ae84-4b87-b0b5-a9cf2b1f80db
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5665.99
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad  CPU   Q9550  @ 2.83GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2834
:System Memory: 7986
:System Swap: 10047
:Vendor: Gigabyte Technology Co., Ltd.
:System: X48-DQ6 
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10729:5208:20480) pci, pcieport, PCI/PCI, 82X38/X48 Express Host-Secondary PCI Express Bridge
:(32902:10720:5208:20480) pci, x38_edac, HOST/PCI, 82X38/X48 Express DRAM Controller
:(32902:10721:5208:20480) pci, pcieport, PCI/PCI, 82X38/X48 Express Host-Primary PCI Express Bridge
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(32902:10544:5208:20481) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:5208:45058) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10518:5208:20481) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(32902:10534:5208:45058) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:10549:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10566:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:5208:40994) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:10551:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:5963:43576) pci, snd_hda_intel, MULTIMEDIA, R700 Audio Device [Radeon HD 4000 Series]
:(4098:38223:5963:57606) pci, radeon, VIDEO, RV710 [Radeon HD 4350]
:(32902:10570:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_homenet06-lv_root / ext4 4096 4096 13081819 8654658 7999298 3276800 2862012 2862012
:/dev/sda1 /boot ext4 1024 1024 508745 424371 398771 128016 127672 127672
:/dev/mapper/vg_homenet06-lv_home /home ext4 4096 4096 472110344 367603094 343974909 118145024 118059218 118059218
:

var_log_messages:
:Jun 16 11:45:26 homenet06 kernel: [15805.492001] fgfs[20479] general protection ip:3b6ae2f0b4 sp:7fff3570f950 error:0 in libosg.so.3.0.1[3b6ac00000+2d3000]
:Jun 16 11:45:30 homenet06 abrt[20483]: Saved core dump of pid 20479 (/usr/bin/fgfs) to /var/spool/abrt/ccpp-2012-06-16-11:45:26-20479 (247496704 bytes)
Comment 1 Robert Kief 2012-06-16 13:14:15 EDT
Created attachment 592337 [details]
File: backtrace
Comment 2 Robert Kief 2012-06-16 13:14:17 EDT
Created attachment 592338 [details]
File: maps
Comment 3 Robert Kief 2012-06-16 13:14:19 EDT
Created attachment 592339 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 18:26:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:21:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.